STOCK_VALUATION_FACTORS = [
    'pe_ratio_lyr',
    'pe_ratio_ttm',
    'ep_ratio_lyr',
    'ep_ratio_ttm',
    'pcf_ratio_total_lyr',
    'pcf_ratio_total_ttm',
    'pcf_ratio_lyr',
    'pcf_ratio_ttm',
    'cfp_ratio_lyr',
    'cfp_ratio_ttm',
    'pb_ratio_lyr',
    'pb_ratio_ttm',
    'pb_ratio_lf',
    'book_to_market_ratio_lyr',
    'book_to_market_ratio_ttm',
    'book_to_market_ratio_lf',
    'dividend_yield_ttm',
    'peg_ratio_lyr',
    'peg_ratio_ttm',
    'ps_ratio_lyr',
    'ps_ratio_ttm',
    'sp_ratio_lyr',
    'sp_ratio_ttm',
    'market_cap',
    'market_cap_2',
    'market_cap_3',
    'a_share_market_val',
    'a_share_market_val_in_circulation',
    'ev_lyr',
    'ev_ttm',
    'ev_lf',
    'ev_no_cash_lyr',
    'ev_no_cash_ttm',
    'ev_no_cash_lf',
    'ev_to_ebitda_lyr',
    'ev_to_ebitda_ttm',
    'ev_no_cash_to_ebit_lyr',
    'ev_no_cash_to_ebit_ttm'
]

FUND_INDICATORS = [
    'last_week_return',
    'last_month_return',
    'last_three_month_return',
    'last_six_month_return',
    'last_twelve_month_return',
    'year_to_date_return',
    'to_date_return',
    'average_size',
    'annualized_returns',
    'annualized_risk',
    'sharp_ratio',
    'max_drop_down',
    'information_ratio'
]

FUTURE_SECTOR = {
    '上期所':{
        '沪铜':{
            '终止': '709001005',
            '运作': '702001',
        },
        
        '沪铝':{
            '终止':'709001002',
            '运作':'702002',
        },
        
        '沪银':{
            '终止':'709001001',
            '运作':'702006',
        },
        
        '沪金':{
            '终止':'702005',
            '运作':'709001003',
        },
        
        '沥青':{
            '终止':'709001004',
            '运作':'702012',
        },
        
        '燃油':{
            '终止':'709001006',
            '运作':'702009',
        },
        
        '热卷':{
            '终止':'709001007',
            '运作':'702013',
        },
        
        '沪铅':{
            '终止':'709001008',
            '运作':'702003',
        },
        
        '螺纹钢':{
            '终止':'709001009',
            '运作':'702007',
        },
        
        '橡胶':{
            '终止':'709001010',
            '运作':'702008',
        },
        
        '线材':{
            '终止':'709001011',
            '运作':'702010',
        },
        
        '线材':{
            '终止':'709001011',
            '运作':'702010',
        },
        
        '沪锌':{
            '终止':'709001012',
            '运作':'702004',
        },
        
        '镍':{
            '终止':'709001013',
            '运作':'702014',
        },
         
        '锡':{
            '终止':'709001014',
            '运作':'702015',
        },

        '纸浆':{
            '终止':'709001015',
            '运作':'702016',
        },
        
        '不锈钢':{
            '终止':'709001016',
            '运作':'702017',
        },
    },
    
    '中金所':{
        '沪深300':{
            '终止':'709004001',
            '运作':'701002001',
        },
        
        '上证50':{
            '终止':'709004002',
            '运作':'701002002',
        },
        
        '中证500':{
            '终止':'709004003',
            '运作':'701002003',
        },
        
        '5年期国债期货':{
            '终止':'709004005',
            '运作':'701003002',
        },
        
        '10年期国债期货':{
            '终止':'709004006',
            '运作':'701003003',
        },
        
        '2年期国债期货':{
            '终止':'709004007',
            '运作':'701003004',
        },
        
    },
    
    '大商所':{
        'DCE豆一':{
            '终止':'709002001',
            '运作':'703001',
        },
        
        'DCE豆二':{
            '终止':'709002002',
            '运作':'703009',
        },
        
        'DCE胶合板':{
            '终止':'709002003',
            '运作':'703015',
        },
        
        'DCE玉米':{
            '终止':'709002004',
            '运作':'703003',
        },
    
        'DCE纤维板':{
            '终止':'709002005',
            '运作':'703014',
        },
        
        'DCE铁矿石':{
            '终止':'709002006',
            '运作':'703014',
        },
        
        'DCE焦炭':{
            '终止':'709002007',
            '运作':'703008',
        },
        
        'DCE焦煤':{
            '终止':'709002008',
            '运作':'703011',
        },
        
        'DCE鸡蛋':{
            '终止':'709002009',
            '运作':'703012',
        },
        
        'DCE塑料':{
            '终止':'709002010',
            '运作':'703006',
        },
        
        'DCE豆粕':{
            '终止':'709002011',
            '运作':'703002',
        },
        
        'DCE棕榈油':{
            '终止':'709002012',
            '运作':'703005',
        },
        
        'DCEPVC':{
            '终止':'709002013',
            '运作':'703007',
        },
        
        'DCE豆油':{
            '终止':'709002014',
            '运作':'703004',
        },
        
        'DCE聚丙烯(':{
            '终止':'709002015',
            '运作':'703016',
        },
        
        'DCE玉米淀粉':{
            '终止':'709002016',
            '运作':'703017',
        },
        
        'DCE乙二醇':{
            '终止':'709002017',
            '运作':'703018',
        },
        
        'DCE粳米':{
            '终止':'709002018',
            '运作':'703019',
        },
        
        'DCE苯乙烯':{
            '终止':'709002019',
            '运作':'703020',
        },
        
        'DCELPG':{
            '终止':'709002020',
            '运作':'703021',
        },
        
        'DCE生猪':{
            '终止':'709002021',
            '运作':'703022',
        },
        
     },
    
     '郑商所':{
         'CZCE棉花':{
            '终止':'709003001',
            '运作':'704004',
         },
         
         'CZCE玻璃':{
            '终止':'709003002',
            '运作':'704010',
         },
         
         'CZCE粳稻':{
            '终止':'709003003',
            '运作':'704014',
         },
         
         'CZCE甲醇':{
            '终止':'709003004',
            '运作':'704014',
         },
         
         'CZCE菜籽油':{
            '终止':'709003005',
            '运作':'704008',
         },
         
         'CZCE普麦':{
            '终止':'709003006',
            '运作':'704003',
         },
         
         'CZCE早籼稻':{
            '终止':'709003007',
            '运作':'704006',
         },
         
         'CZCE菜粕':{
            '终止':'709003008',
            '运作':'704012',
         },
         
         'CZCE菜籽':{
            '终止':'709003009',
            '运作':'704011',
         },
         
         'CZCE白糖':{
            '终止':'709003010',
            '运作':'704005',
         },
         
         'CZCEPTA':{
            '终止':'709003011',
            '运作':'704007',
         },
         
         'CZCE动力煤':{
            '终止':'709003012',
            '运作':'704013',
         },
         
         'CZCE强麦':{
            '终止':'709003013',
            '运作':'704002',
         },
         
         'CZCE晚籼稻':{
            '终止':'709003014',
            '运作':'704015',
         },
         
         'CZCE锰硅':{
            '终止':'709003015',
            '运作':'704016',
         },
         
         'CZCE硅铁':{
            '终止':'709003016',
            '运作':'704017',
         },
         
         'CZCE棉纱':{
            '终止':'709003017',
            '运作':'704018',
         },
         
         'CZCE苹果':{
            '终止':'709003018',
            '运作':'704019',
         },
         
         'CZCE红枣':{
            '终止':'709003019',
            '运作':'704020',
         },
         
         'CZCE纯碱':{
            '终止':'709003020',
            '运作':'704022',
         },
         
         'CZCE尿素':{
            '终止':'709003021',
            '运作':'704021',
         },
         
         'CZCE短纤':{
            '终止':'709003022',
            '运作':'704023',
         },
         
         'CZCE花生':{
            '终止':'709003023',
            '运作':'704024',
         },
         
     },
    
     "上能所":{
         '原油人民币':{
            '终止':'709005001',
            '运作':'720002',
         },
         
         '20号胶':{
            '终止':'709005002',
            '运作':'720004',
         },
         
         '低硫燃料油':{
            '终止':'709005003',
            '运作':'720005',
         },
         
         '铜':{
            '终止':'709005004',
            '运作':'720006',
         },
         
         '原油美元':{
            '运作':'720003',
         },
         
     },
     
     "渤商所":{
         '渤商所全部品种':{
             '运作':'705001',
         },
     },
     
     "上金所":{
         '上金所全部品种':{
             '运作':'722001',
         },
     },
    
     
}